BagSlotIdTool = {}

BagSlotIdTool.name = "BagSlotIdTool"

function BagSlotIdTool.OnAddOnLoaded(event, addonName)
	if addonName == BagSlotIdTool.name then
		EVENT_MANAGER:UnregisterForEvent(BagSlotIdTool.name, EVENT_ADD_ON_LOADED)

		local function AddMenuEntry(inventorySlot, slotActions)
			local bagId, slotIndex = ZO_Inventory_GetBagAndIndex(inventorySlot)
			if bagId and slotIndex then
				AddCustomMenuItem(GetString(SI_BAGSLOTIDTOOL_RIGHTCLICK), function()
					CHAT_ROUTER:AddDebugMessage(zo_strformat(SI_BAGSLOTIDTOOL_CHAT_OUTPUT, GetItemLink(bagId, slotIndex), bagId, slotIndex))
				end)
			end
		end
		LibCustomMenu:RegisterContextMenu(AddMenuEntry)
	end
end

EVENT_MANAGER:RegisterForEvent(BagSlotIdTool.name, EVENT_ADD_ON_LOADED, BagSlotIdTool.OnAddOnLoaded)